Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tap.hadoop.io
Class HadoopTupleEntrySchemeCollector

    java.lang.Object
      cascading.tuple.TupleEntryCollector
          cascading.tuple.TupleEntrySchemeCollector<JobConf,OutputCollector>
              cascading.tap.hadoop.io.HadoopTupleEntrySchemeCollector

    public class HadoopTupleEntrySchemeCollector

extends TupleEntrySchemeCollector<JobConf,OutputCollector>

Class HadoopTupleEntrySchemeCollector is a kind of `TupleEntryCollector` that writes tuples to the resource managed by a particular `Tap` instance.

Field Summary

Fields inherited from class cascading.tuple.TupleEntrySchemeCollector
`sinkCall`

Fields inherited from class cascading.tuple.TupleEntryCollector
`tupleEntry`

Constructor Summary
`HadoopTupleEntrySchemeCollector(FlowProcess<JobConf> flowProcess, Tap<JobConf,RecordReader,OutputCollector> tap)`
`HadoopTupleEntrySchemeCollector(FlowProcess<JobConf> flowProcess, Tap<JobConf,RecordReader,OutputCollector> tap, OutputCollector outputCollector)`

Method Summary
`protected OutputCollector<?,?>` | `wrapOutput(OutputCollector outputCollector)`

Methods inherited from class cascading.tuple.TupleEntrySchemeCollector
`add, add, close, collect, getFlowProcess, getOutput, prepare, setFields, setOutput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HadoopTupleEntrySchemeCollector

    public HadoopTupleEntrySchemeCollector(FlowProcess<JobConf> flowProcess,
                                           Tap<JobConf,RecordReader,OutputCollector> tap)
                                    throws IOException

Throws:
  `IOException`

### HadoopTupleEntrySchemeCollector

    public HadoopTupleEntrySchemeCollector(FlowProcess<JobConf> flowProcess,
                                           Tap<JobConf,RecordReader,OutputCollector> tap,
                                           OutputCollector outputCollector)
                                    throws IOException

Throws:
  `IOException`

Method Detail

### wrapOutput

    protected OutputCollector<?,?> wrapOutput(OutputCollector outputCollector)

  Overrides:
    `wrapOutput` in class `TupleEntrySchemeCollector<JobConf,OutputCollector>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.